---
title: HTMLContentElement.getDistributedNodes()
slug: Web/API/HTMLContentElement/getDistributedNodes
tags:
  - API
  - HTML DOM
  - Property
  - Reference
  - Référence(2)
  - Web Components
---
<p>{{ APIRef("Web Components") }}{{Deprecated_header}}</p>

<p>The <code><strong>HTMLContentElement.getDistributedNodes()</strong></code> method returns a static {{domxref("NodeList")}} of the {{glossary("distributed nodes")}} associated with this <code>&lt;content&gt;</code> element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>nodeList</em> = <em>object</em>.getDistributedNodes()
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// Get the distributed nodes
var nodes = myContentObject.getDistributedNodes();</pre>

<h2 id="Specifications">Specifications</h2>

<p>This feature is no longer defined by any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLContentElement.getDistributedNodes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/HTMLContentElement">HTMLContentElement</a></li>
</ul>
